> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a shipment.

> Soft-deletes the shipment by its number. Its sales orders are detached (freed to be
regrouped), not deleted. Returns 404 if the shipment number is not found for the tenant.



## OpenAPI

````yaml /api-reference/openapi.json delete /openapi/v1/Shipments/{shipmentNo}
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Shipments/{shipmentNo}:
    delete:
      tags:
        - Shipments
      summary: Delete a shipment.
      description: "Soft-deletes the shipment by its number. Its sales orders are detached (freed to be\r\nregrouped), not deleted. Returns 404 if the shipment number is not found for the tenant."
      parameters:
        - name: shipmentNo
          in: path
          required: true
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DeleteShipmentResult'
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteShipmentResult'
            text/json:
              schema:
                $ref: '#/components/schemas/DeleteShipmentResult'
components:
  schemas:
    DeleteShipmentResult:
      type: object
      properties:
        shipmentNo:
          type: string
        detachedSalesOrders:
          type: array
          items:
            type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````